# -*- coding: utf-8 -*-
"""
@author: Axel Sk
"""
import cv2           #Importar OpenCV. Si, se llama cv2
import numpy as np   #Importar Numpy y se la llama con np (mas corto)
 
imagen = cv2.imread('Ref_temperaturas.jpg')     #Cargar imagen a procesar
hsv = cv2.cvtColor(imagen, cv2.COLOR_BGR2HSV)   #Convertir imagen a HSV

bajo_550 = np.array([1,100,70], dtype=np.uint8) #Umbrales de color
alto_550 = np.array([5,160,80], dtype=np.uint8) 

mascara_550 = cv2.inRange(hsv, bajo_550, alto_550)  #Se obtiene la mascara de
                                                    #la imagen cargada.
                                                    
#Mostrar la mascara obtenida y la imagen original para comparar
cv2.imshow('Mascara de deteccion', mascara_550)
cv2.imshow('Imagen Original', imagen)

#Mantiene abiertas la imagenes. Con la tecla "Esc" (escape) se cancela el bucle
while(1):
    tecla = cv2.waitKey(5) & 0xFF  #Espera que se presione una tecla
    if tecla == 27:
        break 
cv2.destroyAllWindows()


